Bug 131626 - [patch] dump(8) "recommended" cache option confusing
Summary: [patch] dump(8) "recommended" cache option confusing
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guangyuan Yang
URL: https://reviews.freebsd.org/D27775
Keywords: patch
Depends on:
Blocks:
 
Reported: 2009-02-13 02:00 UTC by Andrew Hamilton-Wright
Modified: 2021-01-09 01:31 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (652 bytes, patch)
2009-02-13 02:00 UTC, Andrew Hamilton-Wright
no flags Details | Diff
dump.8.patch (675 bytes, patch)
2009-02-13 12:20 UTC, Andrew Wright
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Hamilton-Wright 2009-02-13 02:00:07 UTC
The description of the "recommended" use of cache and snapshots in dump(8) is somewhat confusing, as the reason for the recommendation is left unclear.

Fix: Doc update, patch attached.

Patch attached with submission follows:
How-To-Repeat: See docs for dump(8) option "C" -> cache size.
Comment 1 Gabor Pali freebsd_committer 2009-02-13 06:33:44 UTC
Responsible Changed
From-To: freebsd-doc->pgj

Take
Comment 2 Andrew Wright 2009-02-13 12:20:46 UTC
Oops; path in patch referenced /tmp, not relative path in /usr/src.

Updated patch attached.

Andrew.
Comment 3 Gabor Pali freebsd_committer 2010-07-16 12:02:17 UTC
Responsible Changed
From-To: pgj->freebsd-doc

Back to the pool.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:01:13 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 5 commit-hook freebsd_committer 2020-12-28 21:57:32 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=70a2e109bd486f97e6fa5f969be9d90e404de016

commit 70a2e109bd486f97e6fa5f969be9d90e404de016
Author:     Guangyuan Yang <ygy@FreeBSD.org>
AuthorDate: 2020-12-28 21:54:36 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2020-12-28 21:56:58 +0000

    dump(8): clarify the recommended use of cache and snapshots

    PR:             131626
    MFC after:      1 week
    Submitted by:   Andrew Hamilton-Wright <andrew@qemg.org>
    Reviewed by:    bcr
    Differential Revision:  https://reviews.freebsd.org/D27775

 sbin/dump/dump.8 | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)
Comment 6 commit-hook freebsd_committer 2021-01-09 01:30:28 UTC
A commit in branch stable/12 references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=91006937a3b9535476a9291dbc816ccb2883ccde

commit 91006937a3b9535476a9291dbc816ccb2883ccde
Author:     Guangyuan Yang <ygy@FreeBSD.org>
AuthorDate: 2020-12-28 21:54:36 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-01-09 01:29:12 +0000

    dump(8): clarify the recommended use of cache and snapshots

    PR:             131626
    Submitted by:   Andrew Hamilton-Wright <andrew@qemg.org>
    Reviewed by:    bcr
    Differential Revision:  https://reviews.freebsd.org/D27775

    (cherry picked from commit 70a2e109bd486f97e6fa5f969be9d90e404de016)

 sbin/dump/dump.8 | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)